Skip to main content
`Ctrl`+`K`

# MatComputeOperator

Computes the explicit matrix

## Synopsis

    #include "petscmat.h"
    PetscErrorCode MatComputeOperator(Mat inmat, MatType mattype, Mat *mat)

Collective

## Input Parameters

- inmat - the matrix

- mattype - the matrix type for the explicit operator

## Output Parameter

- mat - the explicit operator

## Note

This computation is done by applying the operator to columns of the identity matrix. This routine is costly in general, and is recommended for use only with relatively small systems. Currently, this routine uses a dense matrix format if `mattype` == `NULL`.

## See Also

Matrices, `Mat`, `MatConvert()`, `MatMult()`, `MatComputeOperatorTranspose()`

## Level

advanced

## Location

src/mat/utils/axpy.c

## Examples

src/ksp/ksp/tutorials/ex4.c
src/ksp/ksp/tutorials/ex21.c
src/ksp/ksp/tutorials/ex34.c

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages